Subject: Re: bug#28297: TeX-search-files: Variable binding depth exceeds max-specpdl-size

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 21:22:08 +0100

Ikumi Keita <[email-masked]> writes:

> Hi,
>
>>>>>> <[email-masked]> writes:
>> If I set in my .emacs file: 
>> (setq LaTeX-includegraphics-read-file `LaTeX-includegraphics-read-file-TeX)
>> I get the following problem with C-c C-m includegraphics: After asking for the options it hangs and after a minute or so, it displays the error message: 
>
>> TeX-search-files: Variable binding depth exceeds max-specpdl-size
>
> That doesn't occur for me.  I added `(setq LaTeX-includegraphics-read-file
> `LaTeX-includegraphics-read-file-TeX)' to my init file and tried C-c C-m
> includegraphics RET width=\linewidth RET.  After emacs finished
> gathering all the possible file names for completion (it takes a while,
> not a real hang), it asked filename to include.  I answered with test
> RET and the LaTeX command \includegraphics[width=\linewidth]{test} was
> inserted in the emacs buffer as expected.
>
> I'm using AUCTeX 11.91 and Emacs 25.2 on FreeBSD 11.1.
>
>> I used setenv to try several variants for TEXINPUTS, but always with
>> the same result (also if I leave the TEXINPUTS variable empty).
>
>> Auctex version: 11.90.2.2017-07-25
>> TexLive Version 2015.20160320-1ubuntu0.1 (on ubuntu 16.04)
>
> Could you provide more detailed information so that we can examine the
> problem?  Please include the output of M-x TeX-submit-bug-report RET and
> sample file which triggers the error.  Also, the backtrace obtained by
> enabling debug-on-error option as described on
> https://www.gnu.org/software/auctex/manual/auctex/FAQ.html
> would be helpful.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

No further comments, therefore I'm closing this report.

Best, Arash